---
title: "Step 8: Call the resume endpoint"
component: pingone-api
page_id: pingone-api:workflow-library:platform-sso-and-authorization/openid-connect-oidc/external-identity-provider-sign-on/test-the-workflow/step-26-call-the-resume-endpoint
canonical_url: https://developer.pingidentity.com/pingone-api/workflow-library/platform-sso-and-authorization/openid-connect-oidc/external-identity-provider-sign-on/test-the-workflow/step-26-call-the-resume-endpoint.html
section_ids:
  example-request: Example Request
  example-response: Example Response
---

# Step 8: Call the resume endpoint

##

     

```none
GET {{authPath}}/{{destinationEnvID}}/as/resume?flowId={{flowID}}
```

Use the `GET /{{destinationEnvID}}/as/resume?flowId={{flowID}}` endpoint to obtain an authorization code required to exchange for an access token. This example shows the `/{{destinationEnvID}}/as/resume` operation to return the flow back to the authorization service, specifying the `flowID` in the request URL. Use the destination environment ID in the request URL.

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff '{{authPath}}/{{destinationEnvID}}/as/resume?flowId={{flowID}}'
```

```csharp
var options = new RestClientOptions("{{authPath}}/{{destinationEnvID}}/as/resume?flowId={{flowID}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{authPath}}/{{destinationEnvID}}/as/resume?flowId={{flowID}}"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
GET /{{destinationEnvID}}/as/resume?flowId={{flowID}} HTTP/1.1
Host: {{authPath}}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{authPath}}/{{destinationEnvID}}/as/resume?flowId={{flowID}}")
  .method("GET", body)
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{authPath}}/{{destinationEnvID}}/as/resume?flowId={{flowID}}",
  "method": "GET",
  "timeout": 0,
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{authPath}}/{{destinationEnvID}}/as/resume?flowId={{flowID}}',
  'headers': {
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests

url = "{{authPath}}/{{destinationEnvID}}/as/resume?flowId={{flowID}}"

payload = {}
headers = {

}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{authPath}}/{{destinationEnvID}}/as/resume?flowId={{flowID}}');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(

));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "net/http"

url = URI("{{authPath}}/{{destinationEnvID}}/as/resume?flowId={{flowID}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```swift
var request = URLRequest(url: URL(string: "{{authPath}}/{{destinationEnvID}}/as/resume?flowId={{flowID}}")!,timeoutInterval: Double.infinity)
request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "_links": {
        "self": {
            "href": "http://auth.pingone.com/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/flows/034d65d1-9a0c-4daa-b164-b4b62eaaf4d1"
        },
        "signOnPage": {
            "href": "https://apps.pingone.com/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/signon/?flowId=034d65d1-9a0c-4daa-b164-b4b62eaaf4d1"
        }
    },
    "_embedded": {
        "user": {
            "id": "77e2909f-d565-45db-85a9-3992109199f3",
            "username": "destination_user1",
            "name": {
                "given": "Joey",
                "family": "SimpleLoginUser"
            }
        },
        "application": {
            "name": "DestinationApp_1776714420"
        }
    },
    "id": "034d65d1-9a0c-4daa-b164-b4b62eaaf4d1",
    "environment": {
        "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
    },
    "session": {
        "id": "c9952730-0a9c-4dd9-a7bf-ce7eac298d13"
    },
    "resumeUrl": "https://auth.pingone.com/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/as/resume?flowId=034d65d1-9a0c-4daa-b164-b4b62eaaf4d1",
    "status": "COMPLETED",
    "createdAt": "2026-04-20T19:53:48.945Z",
    "expiresAt": "2026-04-20T20:09:59.147Z",
    "authorizeResponse": {
        "code": "0326dd6c-e906-49f1-b148-8684dceecd96"
    }
}
```
